ShoppingListList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ShoppingListList

    java.lang.Object
      com.fenalco.entities.ShoppingListList

    public class ShoppingListList

extends java.lang.Object

Esta clase representa el conjunto de listas de compra que puede almacenar un minorista en el sistema.

Author:
  Néstor Romero León

Field Summary
`private java.util.Hashtable` | `shoppingLists` Este `Hashtable` representa el conjunto de listas de compra de un minorista.

Constructor Summary
`ShoppingListList(int shopKeeperId)`

Method Summary
`java.util.Hashtable` | `getShoppingLists()` Consultor para el atributo shoppingLists.
`boolean` | `loadData(int shopKeeperId)` Carga las lista de compra del minorista que se recibe como parámetro.
`static void` | `main(java.lang.String[] args)`
`void` | `setShoppingLists(java.util.Hashtable shoppingLists)` Modificador para el atributo shoppingLists.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shoppingLists

    private java.util.Hashtable shoppingLists

  Este `Hashtable` representa el conjunto de listas de compra de un minorista. Esta construido de la siguiente forma: key:Identificador de la lista de compra `shoppingListId` value: Objeto del tipo `ShoppingList`

Constructor Detail

### ShoppingListList

    public ShoppingListList(int shopKeeperId)

Method Detail

### loadData

    public boolean loadData(int shopKeeperId)

  Carga las lista de compra del minorista que se recibe como parámetro. Utiliza el método `query` de la clase `SQLUtilities`.

  Parameters:
    `shopKeeperId` - Identificador del minorista
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### getShoppingLists

    public java.util.Hashtable getShoppingLists()

  Consultor para el atributo shoppingLists.

  Returns:
    Valor del atributo shoppingLists.

### setShoppingLists

    public void setShoppingLists(java.util.Hashtable shoppingLists)

  Modificador para el atributo shoppingLists.

  Parameters:
    `shoppingLists` - Nuevo valor para el atributo shoppingLists.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD